<?php

include_once("../scripts/connect.php");
               include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
    header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

  $conexion=conecta_default();
	
   $id_cd=$sesion->id;
   $status =$_POST['stat'];
   $trans =$_POST['pedido'];
   $com =$_POST['coment'];
   $idinver =$_POST['inver'];
   $ext =$_POST['servicio'];
   
   if($status=="GENERADO"){$tipo="ped_aviso";
	   $qPP = "update guias set statusenvio='AVISADO' where idtransacciones='$trans'";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
   }
   if($status=="AVISADO"){$tipo="ped_recibido";
	    $qPP = "update guias set statusenvio='RECIBIDO' where idtransacciones='$trans'";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
   }
   
   
	 	$qPP = "insert into seguimientos(tipo, id_inver, id_cd, idtransacciones, fecha, hora, comentarios, extra) values ('$tipo', '$idinver', '$id_cd', '$trans', curdate(), curtime(), '$com', '$ext')";

$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());

echo"<center><br>tipo $tipo id_inver $idinver cd $id_cd transacc $trans comment $com tipo de entrega $ext<br><br><font size=\"+3\"><b>Datos actualizados con &eacute;xito</B></font><br><br>";

?>